import { postJ, post, get } from "@/utils/request";
import Vue from "vue";

// 工位
export async function factoryworkstation(params) {
  const data = await get(
    Vue.prototype.apiUrl + `/main/factoryworkstation/page`,
    params
  );
  if (data.code == 0) {
    return data.data;
  }
  return Promise.reject(new Error(data.message));
}

//根据工序ID查询设备信息
export async function getDeviceByTaskId(params) {
  const data = await get(
    Vue.prototype.apiUrl +
      `/main/producetask/getDeviceByTaskId/${params.taskId}/${params.rootCategoryLevelId}`
  );
  if (data.code == 0) {
    return data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
//获取实例
export async function getAsset(params) {
  const data = await get(Vue.prototype.apiUrl + `/main/asset/page`, params);
  if (data.code == 0) {
    return data.data;
  }
  return Promise.reject(new Error(data.message));
}

// // 根据工艺路线编码获取工序
// export async function getProcessByRoute (data) {
//   const res = await request.post(
//     '/main/producerouting/taskinstance/page',
//     data
//   );
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
// // 根据生产版本获取工序
// export async function getTaskListById (id) {
//   const res = await request.get(`/main/produceversion/getTaskListById/${id}`);
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
// // SAP-查询库存
// export async function realTimeStorage (params) {
//   const res = await request.get(`/sap/sync/realTimeStorage`, { params });
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
// // 根据生产版本ID查询bom子项列表
// export async function bomSubListByVersionId (params) {
//   const res = await request.get(
//     `/main/produceversion/resource/bomSubListByVersionId/${params.versionId}/${params.taskInstanceId}`
//   );
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
